# EnrichmentInsightSetups

Enrichment insight setups are used to define insights that are continuously calculated for products, variants or categories in the system. The Enrichment insight setup defines which data is required for an entity to be considered 100% fulfilled for the insight setup in question.

## Get all Enrichment Insights

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"EnrichmentInsightSetups","description":"Enrichment insight setups are used to define insights that are continuously calculated for products, variants or categories in the system.\r\nThe Enrichment insight setup defines which data is required for an entity to be considered 100% fulfilled for the insight setup in question."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of enrichment insight setup","format":"uuid"},"EntityType":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EntityType"},"Alias":{"type":"string","description":"Unique alias of this insight setup","nullable":true},"Label":{"type":"string","description":"Presented name of this enrichment insight setup","nullable":true},"Setup":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup"},"description":"Setup of required fields for each configuration available to this insight setup (One for each product structure or each catalogue depnding on the entity type)","nullable":true}},"additionalProperties":false,"description":"Model defining setup of an enrichment insight"},"Struct.App.Api.Models.EnrichmentInsight.EntityType":{"enum":[10,20,30,50],"type":"integer","description":"Enum representing each supported entity type in enrichment insights engine \n\n- `10` = **Category**: Category reference\n- `20` = **Product**: Product reference\n- `30` = **Variant**: Variant reference\n- `50` = **VariantGroup**: Variant group reference","format":"int32"},"Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup":{"type":"object","properties":{"ConfigurationUid":{"type":"string","description":"Uid of configuration these required data accounts for (if entity type of insights setup is category, \r\nthis will be the uid of a catalogue. For variants and products this should hold the uid of a product structure)","format":"uuid","nullable":true},"CategoryId":{"type":"integer","description":"Id of selected category which is chosen for the insight","format":"int32","nullable":true},"RequiredData":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.InsightDataReference"},"description":"List of data references that are required for this insight to be 100% for entities using the configuration in question","nullable":true}},"additionalProperties":false,"description":"Model defining required field for a configuration (being either a catalogue uid or a product structure uid)"},"Struct.App.Api.Models.EnrichmentInsight.InsightDataReference":{"type":"object","properties":{"Type":{"type":"string","description":"Type of data reference","nullable":true},"DataReference":{"type":"string","description":"The data reference itself","nullable":true}},"additionalProperties":false,"description":"Model representing an insights data reference"}}},"paths":{"/v1/enrichmentinsightsetups":{"get":{"tags":["EnrichmentInsightSetups"],"summary":"Get all Enrichment Insights","description":"#Available from v.3.5.0","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup"}}}}}}}}}}
```

## Create a new Enrichment Insight

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"EnrichmentInsightSetups","description":"Enrichment insight setups are used to define insights that are continuously calculated for products, variants or categories in the system.\r\nThe Enrichment insight setup defines which data is required for an entity to be considered 100% fulfilled for the insight setup in question."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of enrichment insight setup","format":"uuid"},"EntityType":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EntityType"},"Alias":{"type":"string","description":"Unique alias of this insight setup","nullable":true},"Label":{"type":"string","description":"Presented name of this enrichment insight setup","nullable":true},"Setup":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup"},"description":"Setup of required fields for each configuration available to this insight setup (One for each product structure or each catalogue depnding on the entity type)","nullable":true}},"additionalProperties":false,"description":"Model defining setup of an enrichment insight"},"Struct.App.Api.Models.EnrichmentInsight.EntityType":{"enum":[10,20,30,50],"type":"integer","description":"Enum representing each supported entity type in enrichment insights engine \n\n- `10` = **Category**: Category reference\n- `20` = **Product**: Product reference\n- `30` = **Variant**: Variant reference\n- `50` = **VariantGroup**: Variant group reference","format":"int32"},"Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup":{"type":"object","properties":{"ConfigurationUid":{"type":"string","description":"Uid of configuration these required data accounts for (if entity type of insights setup is category, \r\nthis will be the uid of a catalogue. For variants and products this should hold the uid of a product structure)","format":"uuid","nullable":true},"CategoryId":{"type":"integer","description":"Id of selected category which is chosen for the insight","format":"int32","nullable":true},"RequiredData":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.InsightDataReference"},"description":"List of data references that are required for this insight to be 100% for entities using the configuration in question","nullable":true}},"additionalProperties":false,"description":"Model defining required field for a configuration (being either a catalogue uid or a product structure uid)"},"Struct.App.Api.Models.EnrichmentInsight.InsightDataReference":{"type":"object","properties":{"Type":{"type":"string","description":"Type of data reference","nullable":true},"DataReference":{"type":"string","description":"The data reference itself","nullable":true}},"additionalProperties":false,"description":"Model representing an insights data reference"}}},"paths":{"/v1/enrichmentinsightsetups":{"post":{"tags":["EnrichmentInsightSetups"],"summary":"Create a new Enrichment Insight","description":"#Available from v.3.5.0","requestBody":{"description":"Enrichment Insight to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## Update a Enrichment Insight

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"EnrichmentInsightSetups","description":"Enrichment insight setups are used to define insights that are continuously calculated for products, variants or categories in the system.\r\nThe Enrichment insight setup defines which data is required for an entity to be considered 100% fulfilled for the insight setup in question."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of enrichment insight setup","format":"uuid"},"EntityType":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EntityType"},"Alias":{"type":"string","description":"Unique alias of this insight setup","nullable":true},"Label":{"type":"string","description":"Presented name of this enrichment insight setup","nullable":true},"Setup":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup"},"description":"Setup of required fields for each configuration available to this insight setup (One for each product structure or each catalogue depnding on the entity type)","nullable":true}},"additionalProperties":false,"description":"Model defining setup of an enrichment insight"},"Struct.App.Api.Models.EnrichmentInsight.EntityType":{"enum":[10,20,30,50],"type":"integer","description":"Enum representing each supported entity type in enrichment insights engine \n\n- `10` = **Category**: Category reference\n- `20` = **Product**: Product reference\n- `30` = **Variant**: Variant reference\n- `50` = **VariantGroup**: Variant group reference","format":"int32"},"Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup":{"type":"object","properties":{"ConfigurationUid":{"type":"string","description":"Uid of configuration these required data accounts for (if entity type of insights setup is category, \r\nthis will be the uid of a catalogue. For variants and products this should hold the uid of a product structure)","format":"uuid","nullable":true},"CategoryId":{"type":"integer","description":"Id of selected category which is chosen for the insight","format":"int32","nullable":true},"RequiredData":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.InsightDataReference"},"description":"List of data references that are required for this insight to be 100% for entities using the configuration in question","nullable":true}},"additionalProperties":false,"description":"Model defining required field for a configuration (being either a catalogue uid or a product structure uid)"},"Struct.App.Api.Models.EnrichmentInsight.InsightDataReference":{"type":"object","properties":{"Type":{"type":"string","description":"Type of data reference","nullable":true},"DataReference":{"type":"string","description":"The data reference itself","nullable":true}},"additionalProperties":false,"description":"Model representing an insights data reference"}}},"paths":{"/v1/enrichmentinsightsetups":{"put":{"tags":["EnrichmentInsightSetups"],"summary":"Update a Enrichment Insight","description":"#Available from v.3.5.0","requestBody":{"description":"Enrichment Insight to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup"}}}}}}}}}
```

## Delete a Enrichment Insight

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"EnrichmentInsightSetups","description":"Enrichment insight setups are used to define insights that are continuously calculated for products, variants or categories in the system.\r\nThe Enrichment insight setup defines which data is required for an entity to be considered 100% fulfilled for the insight setup in question."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/enrichmentinsightsetups":{"delete":{"tags":["EnrichmentInsightSetups"],"summary":"Delete a Enrichment Insight","description":"#Available from v.3.5.0","parameters":[{"name":"uid","in":"query","description":"Uid of Enrichment Insight to delete","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## Get a specific Enrichment Insight

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"EnrichmentInsightSetups","description":"Enrichment insight setups are used to define insights that are continuously calculated for products, variants or categories in the system.\r\nThe Enrichment insight setup defines which data is required for an entity to be considered 100% fulfilled for the insight setup in question."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup":{"type":"object","properties":{"Uid":{"type":"string","description":"Unique id of enrichment insight setup","format":"uuid"},"EntityType":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EntityType"},"Alias":{"type":"string","description":"Unique alias of this insight setup","nullable":true},"Label":{"type":"string","description":"Presented name of this enrichment insight setup","nullable":true},"Setup":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup"},"description":"Setup of required fields for each configuration available to this insight setup (One for each product structure or each catalogue depnding on the entity type)","nullable":true}},"additionalProperties":false,"description":"Model defining setup of an enrichment insight"},"Struct.App.Api.Models.EnrichmentInsight.EntityType":{"enum":[10,20,30,50],"type":"integer","description":"Enum representing each supported entity type in enrichment insights engine \n\n- `10` = **Category**: Category reference\n- `20` = **Product**: Product reference\n- `30` = **Variant**: Variant reference\n- `50` = **VariantGroup**: Variant group reference","format":"int32"},"Struct.App.Api.Models.EnrichmentInsight.ConfigurationInsightSetup":{"type":"object","properties":{"ConfigurationUid":{"type":"string","description":"Uid of configuration these required data accounts for (if entity type of insights setup is category, \r\nthis will be the uid of a catalogue. For variants and products this should hold the uid of a product structure)","format":"uuid","nullable":true},"CategoryId":{"type":"integer","description":"Id of selected category which is chosen for the insight","format":"int32","nullable":true},"RequiredData":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.InsightDataReference"},"description":"List of data references that are required for this insight to be 100% for entities using the configuration in question","nullable":true}},"additionalProperties":false,"description":"Model defining required field for a configuration (being either a catalogue uid or a product structure uid)"},"Struct.App.Api.Models.EnrichmentInsight.InsightDataReference":{"type":"object","properties":{"Type":{"type":"string","description":"Type of data reference","nullable":true},"DataReference":{"type":"string","description":"The data reference itself","nullable":true}},"additionalProperties":false,"description":"Model representing an insights data reference"}}},"paths":{"/v1/enrichmentinsightsetups/{uid}":{"get":{"tags":["EnrichmentInsightSetups"],"summary":"Get a specific Enrichment Insight","description":"#Available from v.3.5.0","parameters":[{"name":"uid","in":"path","description":"Unique id of Enrichment Insight","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.EnrichmentInsightSetup"}}}}}}}}}
```

## Get available data references for a specific entity type

> \#Available from v.3.5.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"EnrichmentInsightSetups","description":"Enrichment insight setups are used to define insights that are continuously calculated for products, variants or categories in the system.\r\nThe Enrichment insight setup defines which data is required for an entity to be considered 100% fulfilled for the insight setup in question."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Domain.Shared.Entity.StructEntityType":{"enum":[10,20,30,50,60],"type":"integer","description":"\n\n- `10` = **Category**\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**\n- `60` = **Asset**","format":"int32"},"Struct.App.Api.Models.EnrichmentInsight.DetailedInsightDataReference":{"type":"object","properties":{"Name":{"type":"string","description":"Name of data reference","nullable":true},"Type":{"type":"string","description":"Type of data reference","nullable":true},"DataReference":{"type":"string","description":"The data reference itself","nullable":true}},"additionalProperties":false,"description":"Model representing detailed information on an insights data reference"}}},"paths":{"/v1/enrichmentinsightsetups/{entityType}/availabledatareferences":{"get":{"tags":["EnrichmentInsightSetups"],"summary":"Get available data references for a specific entity type","description":"#Available from v.3.5.0","parameters":[{"name":"entityType","in":"path","description":"Type of entity (Category, Product or Variant)","required":true,"schema":{"$ref":"#/components/schemas/Struct.App.Domain.Shared.Entity.StructEntityType"}},{"name":"configurationUid","in":"query","description":"Uid of configuration (product structure or catalogue) to get available data references for","schema":{"type":"string","format":"uuid"}},{"name":"categoryId","in":"query","description":"CategoryId to get data references for","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.EnrichmentInsight.DetailedInsightDataReference"}}}}}}}}}}
```
